Subject: Re: bug#79419: "automake --add-missing" should not install an obsolete texinfo.tex file

From: Vincent Lefevre <[email-masked]>
Date: Sat, 13 Sep 2025 01:48:53 +0200

On 2025-09-12 16:09:49 -0600, Karl Berry wrote:
> Hi Vincent,
> 
>     This requires manual setup *each time* "automake --add-missing" needs
>     to be used.
> 
> Well, or writing a tiny script to do whatever you want to do. That's the
> real solution, it seems to me.

Having something that works with any 3rd-party project is difficult,
while "automake --add-missing" (actually called via "autoreconf -f")
is relatively standard.

> For texinfo.tex in particular, you could possibly use the TEXINFO_TEX
> variable, as I wrote before.

TEXINFO_TEX is intended for packages that have their own texinfo.tex
file. And this is even wrong, because the idea is to update the file
with "autoreconf -f".

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Pascaline project (LIP, ENS-Lyon)